info.bioinfweb.jphyloio.exception

## Class InconsistentAdapterDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - info.bioinfweb.jphyloio.exception.InconsistentAdapterDataException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IllegalEventException

      public class InconsistentAdapterDataException
      extends java.lang.RuntimeException

  Exception which is thrown by an instance of `JPhyloIOEventWriter` if the data in the specified `DocumentDataAdapter` or one of its nested adapter classes is inconsistent. (An example could be a sequence event referencing an OTU which is not defined in the document adapter.)

  In contrast to `JPhyloIOWriterException` this exception is not checked, since implementations of `DocumentDataAdapter` and its nested classes are usually expected to produce consistent event streams.

  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    `JPhyloIOWriterException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InconsistentAdapterDataException()`
    `InconsistentAdapterDataException(java.lang.String message)`
    `InconsistentAdapterDataException(java.lang.String message, java.lang.Throwable cause)`
    `InconsistentAdapterDataException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InconsistentAdapterDataException

          public InconsistentAdapterDataException()

    - #### InconsistentAdapterDataException

          public InconsistentAdapterDataException(java.lang.String message,
                                                  java.lang.Throwable cause)

    - #### InconsistentAdapterDataException

          public InconsistentAdapterDataException(java.lang.String message)

    - #### InconsistentAdapterDataException

          public InconsistentAdapterDataException(java.lang.Throwable cause)